> For the complete documentation index, see [llms.txt](https://foton.gitbook.io/introduction/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://foton.gitbook.io/introduction/developers/radix-nft-standards.md).

# Radix NFT Standards

Foton has two Types of NFTs and for each a standard. The two are differentiated by the way the Creator Royalties are Enforced and Collected, while the rest of the information attached and metadata, follow a nearly identical model. \
\
**1. Royal NFT** - royalties are always collected, even for transactions outside Foton.\
**2. Rebel NFT** - royalties are optional and can be collected only if 3rd party dApps do it.\
\
Below is a draft of the metadata structure for a Royal NFT. Soon we will launch the final model that can be used in production by other developers.&#x20;

<pre><code>name: String, // locked
description: String,
metadata_standard: String, // "foton_royal_nft_v1"  // locked
key_image_url: Url,
key_image_url_ipfs: Url,
key_image_url_fallback: Url,
<strong>key_image_url_hash: String,   // locked
</strong>creator_id: String,           // person identity  // locked
creator_name: String,         // studio same, project name  // locked
nft_royalty_type: String,     // Royal - Rebel  // locked
royalty_model: String, // Fixed Amount / Fixed Percentage / Flexible Amount / Flexible Percentage  // locked
royalty_active_fee: Decimal, 
royalty_address: Global&#x3C;Account>,
rebel_fee: Option&#x3C;Decimal>,
royalty_max_fee: Decimal, // locked
royalty_hard_limit: Decimal, // locked
license: String,       // locked
license_url: Url,      // restricted to component
foton_nft_resources_url: Url, // restricted to component // 
minted_on: Epoch,
component_address: Option&#x3C;ComponentAddress>, // restricted to component
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://foton.gitbook.io/introduction/developers/radix-nft-standards.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
